/*
* Copyright (C) 2005, Pasi P. Liimatainen
* Distributable under GNU General Public License (v2)
* See terms of license at http://www.gnu.org
*/
var prefUserDialog =
{
  callback: null,
  globals: null,

  onAccept: function()
  {
    // Some sanity checks for username.
    //TODO Del.icio.us has more rigid rules for username, so maybe should
    //check more rigidly already here.
    var username = document.getElementById("delicious-prefs-username").value;
    if (username.match(/[^\s]*/) != username) {
      alert("Whitespace is not allowed in a username.");
      return false;
    }
    var password = document.getElementById("delicious-prefs-password").value;
    if (username.length == 0 || password.length == 0) {
      alert("Username and password are required.");
      return false;
    }

    var ret = new Array;
    ret.push(username);
    ret.push(password);
    ret.push(document.getElementById("delicious-prefs-accountname").value);
    return this.callback(ret, this.globals);
  },

  onLoad: function()
  {
    setTimeout('window.sizeToContent();', 100);
    var args = window.arguments[0];
    this.callback = args['callback'];
    this.globals = args['globals']; // Globals are passed around because the callback doesn't have them. TODO Fix this.
    var user = args['user'];
    if (user != null) {
      document.getElementById("delicious-prefs-accountname").value = user.getAccountName();
      document.getElementById("delicious-prefs-username").value = user.getUsername();
      document.getElementById("delicious-prefs-password").value = user.getPassword();
    }
  }
};
